Bug 512914 (CVE-2009-2673) - CVE-2009-2673 OpenJDK proxy mechanism allows non-authorized socket connections (6801497)
Summary: CVE-2009-2673 OpenJDK proxy mechanism allows non-authorized socket connection...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-2673
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=sun,public=20...
Depends On: 513391 513392 515679 515680 515682 515683 521225 521226 540443
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-21 10:27 UTC by Marc Schoenefeld
Modified: 2019-06-08 12:47 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-22 15:40:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1199 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2009-08-06 20:38:05 UTC
Sun Bug Database 6801497 None None None Never
Red Hat Product Errata RHSA-2009:1200 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2009-08-06 20:41:36 UTC
Red Hat Product Errata RHSA-2009:1201 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security and bug fix update 2009-08-06 21:14:44 UTC
Red Hat Product Errata RHSA-2009:1236 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2009-08-28 08:57:25 UTC
Red Hat Product Errata RHSA-2009:1582 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2009-11-12 18:15:19 UTC
Red Hat Product Errata RHSA-2009:1662 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server Sun Java Runtime security update 2009-12-11 13:42:50 UTC
Red Hat Product Errata RHSA-2010:0043 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server IBM Java Runtime security update 2010-01-14 16:32:02 UTC

Comment 4 Murray McAllister 2009-08-06 14:33:18 UTC
A flaw was found in the JRE proxy mechanism implementation. This
flaw allowed an untrusted applet or application to bypass access
restrictions and communicate using non-authorized socket or URL connections
to hosts other than the origin host.

http://sunsolve.sun.com/search/document.do?assetkey=1-21-118667-22-1

Comment 5 errata-xmlrpc 2009-08-06 20:38:13 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1199 https://rhn.redhat.com/errata/RHSA-2009-1199.html

Comment 6 errata-xmlrpc 2009-08-06 20:42:03 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1200 https://rhn.redhat.com/errata/RHSA-2009-1200.html

Comment 7 errata-xmlrpc 2009-08-06 21:14:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1201 https://rhn.redhat.com/errata/RHSA-2009-1201.html

Comment 8 Fedora Update System 2009-08-07 04:59:24 UTC
java-1.6.0-openjdk-1.6.0.0-27.b16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-08-07 05:02:10 UTC
java-1.6.0-openjdk-1.6.0.0-20.b16.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 errata-xmlrpc 2009-08-28 08:57:38 UTC
This issue has been addressed in following products:

  Extras for Red Hat Enterprise Linux 5
  Extras for RHEL 4

Via RHSA-2009:1236 https://rhn.redhat.com/errata/RHSA-2009-1236.html

Comment 12 errata-xmlrpc 2009-11-12 18:15:27 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1582 https://rhn.redhat.com/errata/RHSA-2009-1582.html

Comment 14 errata-xmlrpc 2009-12-11 13:43:35 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1662 https://rhn.redhat.com/errata/RHSA-2009-1662.html

Comment 15 errata-xmlrpc 2010-01-14 16:32:46 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.3

Via RHSA-2010:0043 https://rhn.redhat.com/errata/RHSA-2010-0043.html


Note You need to log in before you can comment on or make changes to this bug.